<template>
  <main>
    <!-- Page Content Start -->
    <section
      id="pagina-no-trobada"
      class="flex flex-col flex-col-reverse items-stretch bg-gray-100 md:h-screen md:flex-row md:flex-row-reverse"
    >
      <div
        class="px-6 py-10 flex flex-col justify-center items-center sm:px-10 md:w-2/5 md:items-start lg:w-1/2 xl:px-16 xl:w-5/12"
      >
        <h1 class="h2 text-pink-600">{{ heading }}</h1>
        <div class="markdown" v-html="text" />
      </div>
      <div class="md:w-3/5 lg:w-1/2 xl:w-7/12">
        <g-image
          :src="not_found_image.image"
          :alt="not_found_image.description"
          class="h-full w-full object-center object-cover md:bg-pink-400 md:fx-shape md:fx-shp-ellipse md:fx-shp-x-40 md:fx-shp-y-bottom"
          :style="{
          '--fx-shape-radius-x': '60%',
          '--fx-shape-radius-y': '150%',
        }"
        />
      </div>
    </section>
    <!-- Page Content End -->

    <mailto-ui-loader />
  </main>
</template>

<script>
import MailtoUiLoader from '~/components/common/MailtoUiLoader';

export default {
  name: 'NotFound',
  components: {
    MailtoUiLoader,
  },
  computed: {
    heading() {
      return this.$page.content.not_found.heading;
    },
    text() {
      return this.$page.content.not_found.text;
    },
    not_found_image() {
      return this.$page.content.not_found._404_image;
    },
  },
  metaInfo() {
    return {
      title: '404',
    };
  },
};
</script>


<page-query>
query NotFoundPageContent {
  content: notFoundPageContent(path: "/content/404") {
    not_found {
      heading
      text
      _404_image {
        image
        description
      }
    }
  }
}
</page-query>
